Type to search.

Get workflow JSON schema

Base URL
https://{kibana_url}
  • GET /api/workflows/schema
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Retrieve the JSON schema used to validate workflow YAML definitions. The schema includes available step types based on the configured connectors in the current space.

Required privileges

Privileges workflowsManagement:read

Query parameters

loose boolean required

When true, returns a permissive schema that allows additional properties. When false, returns a strict schema for full validation.

Response

200

Indicates a successful response

application/json